Bug 957400 - openswan does not load the aesni_intel kernel module
Summary: openswan does not load the aesni_intel kernel module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openswan
Version: 6.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Paul Wouters
QA Contact: Ondrej Moriš
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-27 23:40 UTC by Paul Wouters
Modified: 2013-11-21 23:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-21 23:44:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1718 normal SHIPPED_LIVE openswan bug fix and enhancement update 2013-11-20 21:51:39 UTC

Description Paul Wouters 2013-04-27 23:40:28 UTC
Description of problem:

openswan could perform 10x faster on machines with AES-NI instruction when the kernel module aesni_intel is loaded by openswan on startup

This is upstream commit aa83b7d56512d57d792023a80153a875d309fe83

Comment 7 Paul Wouters 2013-07-18 14:15:43 UTC
QA test: start openswan on a machine with AES NI instruction. run lsmod to confirm the aesni_intel is loaded.

Comment 12 errata-xmlrpc 2013-11-21 23:44:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1718.html


Note You need to log in before you can comment on or make changes to this bug.